NSS-OSLOGIN(8)

NAME
nss-oslogin, libnss_oslogin.so.2 - UNIX implementation for OS Login Users and Groups.

SYNOPSIS
libnss_oslogin.so.2

DESCRIPTION
nss-oslogin is a plug-in module for the GNU Name Service Switch (NSS) functionality of the GNU C Library (glibc). This module provides UNIX name resolution for users and groups configured through the Google Cloud OS Login system. The "passwd", "group", and "initgroups" services are supported by this module.

To use the NSS module, add "oslogin" to the appropriate service lines in nsswitch.conf. It is recommended to place "oslogin" as the last entry for each service.

NOTES
Documentation for the Google Cloud OS Login service is available online at https://cloud.google.com/compute/docs/oslogin

SEE ALSO
nss-cache-oslogin(8), nsswitch.conf(5), nss(5), getent(1), initgroups(3)